Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.text
Enum OdfNumberPositionType

    java.lang.Object
      java.lang.Enum<OdfNumberPositionType>
          org.odftoolkit.odfdom.dom.type.text.OdfNumberPositionType

All Implemented Interfaces:
  Serializable, Comparable<OdfNumberPositionType>

    public enum OdfNumberPositionType

extends Enum<OdfNumberPositionType>

DOM implementation of OpenDocument attribute text:number-position.

Enum Constant Summary
`INNER`
`LEFT`
`OUTER`
`RIGHT`

Method Summary
`static OdfNumberPositionType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfNumberPositionType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfNumberPositionType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfNumberPositionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### RIGHT

    public static final OdfNumberPositionType RIGHT

### LEFT

    public static final OdfNumberPositionType LEFT

### INNER

    public static final OdfNumberPositionType INNER

### OUTER

    public static final OdfNumberPositionType OUTER

Method Detail

### values

    public static OdfNumberPositionType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfNumberPositionType c : OdfNumberPositionType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfNumberPositionType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfNumberPositionType>`
  Returns:
    return the name of OdfNumberPositionType

### toString

    public static String toString(OdfNumberPositionType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfNumberPositionType, see text:number-position
  Returns:
    return the name of OdfNumberPositionType

### enumValueOf

    public static OdfNumberPositionType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfNumberPositionType
  Returns:
    return the constant of OdfNumberPositionType, see text:number-position

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.